#
# spec file for package notejot
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           notejot
Version:        1.4.0
Release:        lp152.3.8
Summary:        A Sticky Note App
License:        GPL-3.0
Group:          Productivity/Office/Other
URL:            https://lainsce.us/
Source:         https://github.com/lainsce/notejot/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
A sticky notes application for any type of short term notes
or ideas.

%lang_package

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

# dirlist HiDPI icons (see: hicolor/index.theme)
_dirlist=$PWD/dir.lst
pushd %{buildroot}
find ./ | while read _list; do
    echo $_list | grep '[0-9]\@[0-9]' || continue
    _path=$(echo $_list | sed 's/[^/]//')
    if ! ls ${_path%/*}; then
        grep -xqs "\%dir\ ${_path%/*}" $_dirlist || echo "%dir ${_path%/*}" >> $_dirlist
    fi
done
popd

mkdir -p %{buildroot}%{_datadir}/appdata
mv %{buildroot}%{_datadir}/{metainfo,appdata}/com.github.lainsce.notejot.appdata.xml

%suse_update_desktop_file -r com.github.lainsce.notejot GTK Utility  DesktopUtility
%find_lang com.github.lainsce.notejot %{name}.lang
%fdupes %{buildroot}/%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files -f dir.lst
%doc AUTHORS LICENSE README.md
%{_bindir}/com.github.lainsce.notejot
%dir %{_datadir}/appdata/
%{_datadir}/appdata/com.github.lainsce.notejot.appdata.xml
%{_datadir}/applications/com.github.lainsce.notejot.desktop
%{_datadir}/glib-2.0/schemas/com.github.lainsce.notejot.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.lainsce.notejot.??g

%files lang -f %{name}.lang

%changelog
* Mon Mar 26 2018 avvissu@yandex.by
- Update to 1.4.0:
  * - yet another small thing
  * - small fix here
  * 1.3.9 - Add option to create new notes from the Dock/Apps
  * Adding more keyboard shortcuts
  * Update com.github.lainsce.notejot.desktop
  * Add pl.po
  * Update LINGUAS
  * Add files via upload
* Tue Jan 30 2018 avvissu@yandex.by
- Update to 1.3.8:
  * - update date in changelog
  * add spanish traslate
* Fri Jan 12 2018 avvissu@yandex.by
- Update to 1.3.7:
  * move this file to a proper repo
  * Update com.github.lainsce.notejot.json
  * setting up flatpak
  * Create com.github.lainsce.notejot.json
  * Update README.md
  * Update lt.po
* Tue Dec 26 2017 jengelh@inai.de
- Ensure neutrality of description.
* Tue Nov 21 2017 avvissu@yandex.by
- Update to 1.3.6:
  * - Simplify deleting notes in-code
  * - Fix some dates
  * 1.3.5 - If all notes are deleted, default title is used
  * 1.3.5 - Fix the operations about updating the storage
  * 1.3.5 - Save notes properly in every case.
  * 1.3.4 - minor CSS fix to update note colors properly
  * 1.3.4 - Update storage/data if app is killed
  * 1.3.4 - Bump version
  * Improve editable title
  * - add travis badge on main readme
  * 1.3.3 - Actually save notes content on every change
  * - small changelog fix
  * 1.3.2 - Fix saving notes contents as they change
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
